Bug 1018575 - pmatop exceptions need better catching
pmatop exceptions need better catching
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: pcp (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Nathan Scott
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-13 10:16 EDT by Frank Ch. Eigler
Modified: 2015-08-22 12:34 EDT (History)
6 users (show)

See Also:
Fixed In Version: 3.10.6-1.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-13 12:56:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Frank Ch. Eigler 2013-10-13 10:16:46 EDT
On a small gnome-terminal (measly 90x24), git pmatop (targeted
to a machine with lots of disks/cpus) finds it easy to trigger
curses errors, exiting the whole program.  Easily reproducible:
% python pmatop.py
press random keys to evoke the online-help ditty, but get:

Traceback (most recent call last):
  File "pmatop.py", line 771, in <module>
    status = curses.wrapper(main)   # pylint: disable-msg=C0103
  File "/usr/lib64/python2.7/curses/wrapper.py", line 43, in wrapper
    return func(stdscr, *args, **kwds)
  File "pmatop.py", line 748, in main
    stdscr.addstr ("Invalid command %s\nType 'h' to see a list of valid commands" % (cmd))
  File "pmatop.py", line 144, in addstr
    self.so_stdscr.addstr (str)
_curses.error: addstr() returned ERR


In general, these python programs (pmatop and pmcollectl) need more
systematic exception catching; maybe a full-fledged curses error-reporting
screen?
Comment 1 Stan Cox 2014-05-27 11:05:25 EDT
sourceware.org/git/pcpfans.git scox/dev commit 77377f219088
Handle curses problems gracefully.

Whenever a curses problem is encountered the above gives the error message:
% pmatop
Error in the curses module.  Try running pmatop in a larger window.
Comment 2 Jaroslav Reznik 2015-03-03 11:56:03 EST
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22
Comment 3 Fedora Update System 2015-06-15 22:12:29 EDT
pcp-3.10.5-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/pcp-3.10.5-1.fc22
Comment 4 Fedora Update System 2015-06-15 22:13:42 EDT
pcp-3.10.5-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/pcp-3.10.5-1.fc21
Comment 5 Fedora Update System 2015-06-15 22:14:38 EDT
pcp-3.10.5-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/pcp-3.10.5-1.fc20
Comment 6 Fedora Update System 2015-06-15 22:16:38 EDT
pcp-3.10.5-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/pcp-3.10.5-1.el5
Comment 7 Fedora Update System 2015-06-18 14:34:41 EDT
Package pcp-3.10.5-1.el5:
* should fix your issue,
* was pushed to the Fedora EPEL 5 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing pcp-3.10.5-1.el5'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2015-6718/pcp-3.10.5-1.el5
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2015-08-04 01:37:44 EDT
pcp-3.10.6-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/pcp-3.10.6-1.fc22
Comment 9 Fedora Update System 2015-08-04 01:38:29 EDT
pcp-3.10.6-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/pcp-3.10.6-1.fc21
Comment 10 Fedora Update System 2015-08-04 01:39:15 EDT
pcp-3.10.6-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/pcp-3.10.6-1.el5
Comment 11 Fedora Update System 2015-08-13 12:56:59 EDT
pcp-3.10.6-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2015-08-13 12:58:40 EDT
pcp-3.10.6-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2015-08-22 12:33:43 EDT
pcp-3.10.6-1.el5 has been pushed to the Fedora EPEL 5 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.